%%%%%%%%%%%%%%%%%%%%%%%% referenc.tex %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% sample references
% %
% Use this file as a template for your own input.
%
%%%%%%%%%%%%%%%%%%%%%%%% Springer-Verlag %%%%%%%%%%%%%%%%%%%%%%%%%%
%
% BibTeX users please use
% \bibliographystyle{}
% \bibliography{}
%

\begin{thebibliography}{99.}%
% and use \bibitem to create references.
%
% Use the following syntax and markup for your references if 
% the subject of your book is from the field 
% "Mathematics, Physics, Statistics, Computer Science"
%
% Contribution 

\bibitem{fpgavsasic} Kuon, Ian, and Jonathan Rose. ``Measuring the gap between FPGAs and ASICs.'' IEEE Transactions on computer-aided design of integrated circuits and systems 26.2 (2007): 203-215.

\bibitem{paranjape2012heterogeneous} Paranjape, Ketan and Hebert, Steve and Masson, Bob. ``Heterogeneous Computing in the Cloud: Crunching Big Data and Democratizing {HPC} Access for the Life Sciences.'' 2010, Intel Corporation.

\bibitem{cilardo05keystore-ref} Cilardo, Alessandro, et al. ``An FPGA-based key-store for improving the dependability of security services.'' 10th IEEE international workshop on object-oriented real-time dependable systems. IEEE, 2005.

\bibitem{sarkar10} Sarkar, Souradip, et al. ``Hardware accelerators for biocomputing: A survey.-- Proceedings of 2010 IEEE International Symposium on Circuits and Systems. IEEE, 2010.

\bibitem{cilardoTIFS13-ref} Cilardo, Alessandro, and Nicola Mazzocca. ``Exploiting vulnerabilities in cryptographic hash functions based on reconfigurable hardware.'' IEEE Transactions on Information Forensics and Security 8.5 (2013): 810-820.

\bibitem{cilardo-gallo} Cilardo, Alessandro, and Luca Gallo. ``Improving multibank memory access parallelism with lattice-based partitioning.'' ACM Transactions on Architecture and Code Optimization (TACO) 11.4 (2015): 45.

\bibitem{chatterjee} Chatterjee, Siddhartha, et al. ``Generating local addresses and communication sets for data-parallel programs.'' Journal of Parallel and Distributed Computing 26.1 (1995): 72-84.

\bibitem{wang-yuxin} Wang, Yuxin, Peng Li, and Jason Cong. ``Theory and algorithm for generalized memory partitioning in high-level synthesis.'' Proceedings of the 2014 ACM/SIGDA international symposium on Field-programmable gate arrays. ACM, 2014.

\bibitem{altera} ``An Independent Analysis of Altera's FPGA Floating-point DSP Design Flow'' By the staff of Berkeley Design Technology, Inc.

\bibitem{coon-brett-nvidia} Coon, Brett W., et al. ``Shared memory with parallel access and access conflict resolution mechanism.'' U.S. Patent No. 8,108,625. 31 Jan. 2012.

\bibitem{altera-opencl} The Altera SDK for Open Computing Language (OpenCL)  https://www.altera.com/products/design-software/embedded-software-developers/opencl/overview.html

\bibitem{sdaccel} Wirbel, Loring. ``Xilinx SDAccel: a unified development environment for tomorrow?s data center.'' Technical Report, The Linley Group Inc, 2014.

\bibitem{faber} Farber, Rob. CUDA application design and development. Elsevier, 2011.

\bibitem{fermi} NVidia, Fermi. ``Nvidia's next generation cuda compute architecture.'' NVidia, Santa Clara, Calif, USA (2009).

\bibitem{nyuzi} Bush, Jeff, Philip Dexter, and Timothy N. Miller. ``Nyami: a synthesizable gpu architectural model for general-purpose and graphics-specific workloads.'' Performance Analysis of Systems and Software (ISPASS), 2015 IEEE International Symposium on. IEEE, 2015.

\bibitem{miaow} Balasubramanian, Raghuraman, et al. ``Enabling gpgpu low-level hardware explorations with miaow: An open-source rtl implementation of a gpgpu.'' ACM Transactions on Architecture and Code Optimization (TACO) 12.2 (2015): 21.

\bibitem{guppy} Al-Dujaili, Abdullah, et al. ``Guppy: A GPU-like soft-core processor.'' Field-Programmable Technology (FPT), 2012 International Conference on. IEEE, 2012.

\bibitem{kingyens} Kingyens, Jeffrey, and J. Gregory Steffan. ``The potential for a GPU-like overlay architecture for FPGAs.'' International Journal of Reconfigurable Computing 2011 (2011).

\bibitem{polybench} Pouchet, Louis-Noël. ``Polybench: The polyhedral benchmark suite.'' URL: http://www. cs. ucla. edu/pouchet/software/polybench (2012).

\bibitem{verilator} Snyder, Wilson, Paul Wasson, and Duane Galbi. ``Verilator.'' (2007).

\end{thebibliography}
